Skip to main content
PUT
/
api
/
v1
/
urls
/
{url}
Update a webpage (full)
curl --request PUT \
  --url https://api.monitor.weborion.io/api/v1/urls/{url} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "config_name": "<string>",
  "plan_type": "GOLD",
  "polling_interval": 123,
  "continuous_monitoring": true,
  "warning_limit": 123,
  "threshold": {
    "enable_content_engine": true,
    "enable_image_engine": true,
    "enable_title": true,
    "threshold_line_num": 123,
    "enable_line_num": true,
    "threshold_href": 123,
    "enable_href": true,
    "threshold_img": 123,
    "enable_img": true,
    "threshold_script": 123,
    "enable_script": true,
    "threshold_div": 123,
    "enable_div": true,
    "threshold_iframe": 123,
    "enable_iframe": true,
    "threshold_link": 123,
    "enable_link": true,
    "image_similarity": 123,
    "enable_hash": true
  },
  "monitoring_configuration": {
    "user_agent_id": 123,
    "text_string_appear": "<string>",
    "text_string_not_appear": "<string>"
  },
  "current_baseline": {
    "title": "<string>",
    "line_num": 123,
    "count_href": 123,
    "count_script": 123,
    "count_link": 123,
    "count_image": 123,
    "count_div": 123,
    "count_iframe": 123,
    "hash": "<string>",
    "baseline_hrefs": [
      {
        "id": 123,
        "selected": true
      }
    ],
    "baseline_iframes": [
      {
        "id": 123,
        "selected": true
      }
    ],
    "baseline_images": [
      {
        "id": 123,
        "selected": true
      }
    ],
    "baseline_scripts": [
      {
        "id": 123,
        "selected": true
      }
    ],
    "baseline_stylesheets": [
      {
        "id": 123,
        "selected": true
      }
    ]
  },
  "image_regions": [
    {
      "coord_x": 123,
      "coord_y": 123,
      "coord_w": 123,
      "coord_h": 123
    }
  ],
  "keyword_set_configuration": [
    "<string>"
  ]
}
'

Authorizations

Authorization
string
header
required

Generate an API token from the WebOrion Defacement Monitor portal. Pass it as Authorization: Bearer <token>.

Path Parameters

url
string
required

Webpage ID

Body

application/json
config_name
string
plan_type
enum<string>
Available options:
GOLD,
SILVER,
BRONZE,
TRIAL
polling_interval
integer
continuous_monitoring
boolean
warning_limit
integer
threshold
object
monitoring_configuration
object
current_baseline
object
image_regions
object[]
keyword_set_configuration
string[]

Response

200

OK